Package com.smartsheet.api.models
Class UpdateReportColumnRequest
- java.lang.Object
-
- com.smartsheet.api.models.UpdateReportColumnRequest
-
public class UpdateReportColumnRequest extends java.lang.ObjectRepresents the request body for updating a report column. Used with PUT /reports/{reportId}/columns/{columnVirtualId}.
-
-
Constructor Summary
Constructors Constructor Description UpdateReportColumnRequest()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description java.lang.BooleangetHidden()Gets whether the column is hidden.java.lang.IntegergetIndex()Gets the index.java.lang.StringgetTitle()Gets the title.java.lang.IntegergetWidth()Gets the width.UpdateReportColumnRequestsetHidden(java.lang.Boolean hidden)Sets whether the column is hidden.UpdateReportColumnRequestsetIndex(java.lang.Integer index)Sets the index.UpdateReportColumnRequestsetTitle(java.lang.String title)Sets the title.UpdateReportColumnRequestsetWidth(java.lang.Integer width)Sets the width.
-
-
-
Method Detail
-
getTitle
public java.lang.String getTitle()
Gets the title.- Returns:
- the title
-
setTitle
public UpdateReportColumnRequest setTitle(java.lang.String title)
Sets the title.- Parameters:
title- the title- Returns:
- this UpdateReportColumnRequest for chaining
-
getIndex
public java.lang.Integer getIndex()
Gets the index.- Returns:
- the index
-
setIndex
public UpdateReportColumnRequest setIndex(java.lang.Integer index)
Sets the index.- Parameters:
index- the index- Returns:
- this UpdateReportColumnRequest for chaining
-
getHidden
public java.lang.Boolean getHidden()
Gets whether the column is hidden.- Returns:
- hidden flag
-
setHidden
public UpdateReportColumnRequest setHidden(java.lang.Boolean hidden)
Sets whether the column is hidden.- Parameters:
hidden- the hidden flag- Returns:
- this UpdateReportColumnRequest for chaining
-
getWidth
public java.lang.Integer getWidth()
Gets the width.- Returns:
- the width
-
setWidth
public UpdateReportColumnRequest setWidth(java.lang.Integer width)
Sets the width.- Parameters:
width- the width (minimum 1)- Returns:
- this UpdateReportColumnRequest for chaining
-
-